About this help system

Navigation: »No topics above this level«

Return to chapter overview

NXAccounts Help system

In order to run this software you will need a license file. If you have not obtained that file, please contact sales@bushsoft.com

To get started from scratch, please follow the steps below:

If you don't see the child nodes like 'Download NXAccounts', 'Run the installer' etc ... under the 'Getting started' node, please doubleclick it to view all its subnodes.

Please click this link for info how to download the latest version of the software

Proceed to this link for instructions how to install the software on your computer.

Then proceed to the First time login page (for this step you will need your license file).

... and please continue by walking through the succeeding menu items under the 'Getting started' node.

Access help inside NXAccounts

Help info samples can be found on selected windows when clicking this 'Help' button: btnhelp


License requirements

License requirements

In order to be able to run NXAccounts you will need a license.

The license is a small file that is required by the app and contains basic information about your accounts. This file will be emailed to you when we receive your order.

Contact sales@bushsoft.com if you need to change any property of your license.

Please note that the license name and office cannot be modified if you already has started to use the accounting.

In order to issue your license we will need to know a few details:

1. The name you want to be printed on top of all reports (the accounting's name)

2. The geographical location of the office (city)

3. The name of the country

4. The transaction currency that you will use when entering your vouchers (normally this is the country's local currency)

5. Any additional foreign currencies that you might need in your reports

6. Don't forget to mention if the currencies use decimals or not.

7. The month your fiscal years starts (usually January)

All accounts and dimensions have both 'local' and 'foreign' names. If your mother or funding organization use another language than you, this enables them to print reports in their own language. Available languages: English(UK), French(FR), Spanish(ES) and Norwegian(NB)

8. Desired language for local account names

9. Desired language for foreign account names

NOTE: Your available application languages (texts in all menus, buttons etc) will be the two above selected languages.

10. The number of digits for your mainbook accounts

11. The number of digits for your accounts payables / receivables accounts

12. The number/code formats and names of any additional dimensions than the default Accounts and Accounts receivables/payables. As of formats we suggest 2-3 digits only to save your accountant's fingers :-)

What are dimensions? Read here!


What are Dimensions?

Many accountants ffrom remote projects are pretty satisfied by just having an accounts plan and nothing else. Others are used to having a 'Department' or a 'Project' dimension in addition. Actually 'dimensions' are a matter of how you need to filter your transactions in reports. Let me take an example:

Say you start a car hiring company. You invest in buildings, you purchase inventory and hire staff. Finally you invest in different car types for hire. And when everything is running you start to receive income for your investments. But you still have maintenance expenses for both buildings and cars. All types of expenses and incomes mentioned above fits nicely into a mainbook accounts plan. So at this point you may not need any further dimensions.

However, your clients have a full range of car types to hire: Sedans, trucks, motorhomes, sports cars, SUVs and vans. The big trucks trucks needed a much bigger garage for maintenance, parking and cleaning than the sedans. But your mainbook accounting only gives to the expenses and incomes for ALL your car types.

So you decide to add a 'Car type' dimension. You add Sedans, Trucks, Motorhomes, Sports cars, SUVs and Vans to this dimension. So when registering vouchers your accountant 'tags' every expense / income with their correct 'Car type'. So from now you can for example generate a Result report for Trucks only (which ONLY calculates expenses and incomes related to this car type) so you can see how your investment pays off for the different car types.

Later you may want to know more about fuel types, and you add 'Fuel' as a new dimension: Petrol, Diesel, Hydrogen, Electricity. Now all your expenses and incomes are tagged with the type of Fuel too. And you can print a result report telling you if Electrical trucks really was worth the investment.

When you expand your company to other cities you can add a Department or Site dimension, enabling you to see the profit or loss for any location.

THIS is what 'Dimensions' can do for you. However, always remember to not request more dimensions than you actually need. Most accountings WE deal with will be fine with only a 'Project' or a 'Site' dimension (or both). If your accounts will be imported into huge fundraising accountings you will need to discuss with them which dimensions you need in your accounts.

Quick example from traditional accounting plan:

Four transactions using accounts only (one extra account for each dept and project combination):

6200 Office expenses, purchasing department

6210 Office expenses, production department Sedan project

6211 Office expenses, production department Truck project

6203 Office expenses, sales department Sedan project

Same example from dimensional accounting:

Accounts:

6200 Office expenses (only ONE account!)

Department (1st dimension):

10 Purchasing

11 Production

12 Sales

Project (2nd Dimension):

100 Sedan

110 Truck

The same four transactions using dimensions:

Account Dept Project

6200 10

6200 11 100

6200 11 110

6200 12 100

The latter example gives the accountants full freedom to create report including or excluding any combinations of the different dimensions!


Getting started

In order to run this software you will need a license file. If you have not obtained that file, please contact sales@bushsoft.com

To get started from scratch, please follow the steps below:

If you don't see the child nodes like 'Download NXAccounts', 'Run the installer' etc ... under the 'Getting started' node, please doubleclick it to view all its subnodes.

Please click this link for info how to download the latest version of the software

Proceed to this link for instructions how to install the software on your computer.

Then proceed to the First time login page (for this step you will need your license file).

... and please continue by walking through the succeeding menu items under the 'Getting started' node.

Access help inside NXAccounts

Help info samples can be found on selected windows when clicking this 'Help' button: btnhelp


Download NXAccounts

Install NXAccounts on your computer - step 1 of 3

Assuming that you have received your license file and saved it in a known folder.

With your web browser. please open the NXAccounts download page here.

Or visit the BushSoft's website here and select the NXAccounts menu page where you will find the download link.

Click on the web page's RED 'here' link (see below):

After downloading has finished you will normally find the installer file in your Downloads folder.


Run the installer

Install NXAccounts on your computer - step 2 of 3

NOTE: You will need to have your license file(s) received from BushSoft saved to some known folder (or to a USB stick) on your computer before proceeding.

After you downloaded the installer app file (SetupNXAccouts.exe) you will normally find it in your computer's Download folder.

Now Run the installer (by double-clicking it, or right-click and choose 'Open') as you do with any other windows installer.

You may first select your desired installation language and read the license agreement to accept it before you confirm the program folder name where NXAccounts software files will be installed.

Then you enter your name (so others know who installed the software on this computer) and proceed to confirm the name of the accounting data folder. Please accept both default program and data folder names to avoid problems if you need support.

Finally you arrive at the 'Select additional tasks' installer page. If this is your first-time install you also need to copy your license(s) from where you saved them - to their proper location.

If that is your situation, please tick the 'Copy your license file(s)...' checkbox and then click on the Next button. After an info message the 'Open file' dialog appears. Now browse to the folder where you saved your license(s). If you have multiple licenses, hold down you keyboard's <CTRL> key while clicking on every license file you want to include. Finally click on the dialog's Open button to copy the selected license files to the proper folder on your computer.

Next installer page shows a resume of your entries and if you agree, click the Install button to execute the installation.

You should now be able to locate the NXAccounts' black and white shortcut / icon and its Help file and User Manual shortcuts on your desktop:


First-time login and app language

Install NXAccounts on your computer - step 3 of 3

When running NXAccounts for the first time or the selected accounting has not yet been created you will see an opening form like this:

On this window you will need to select the proper License, Year and Office names by clicking the small righthand 'V' in their respective drop-down list boxes.

NOTE: If no license name is available in your License list, you may click the small '+' button beside the lIcense dropdown listbox to manually import your new license file(s) received from BushSoft. Review your license email and download the attached license file to a known folder where you can pick it up for import.

The Username and Password controls are disabled because you will be prompted to enter a suitable password for the admin user after having clicked the Create database button.

Application language

By clicking the 'App. Language...' button you may choose your preferred application language (used throughout the app in captions, menus etc) according to the languages defined in your license file.


Backup OR basic accounts plan?

Now you have created an empty accounting, but no accounts, no budget. Nothing but empty tables.

So please open the Main Window / Settings / Accounts Settings tab

Now you have at least two options:

1. If you are lucky and have received a prepared backup, please RESTORE it using the button below:

NOTE: If we have prepared and initial or converted backup for you, its default admin user password will always be "aaaa". Please change this default admin password as soon as you get your accounts into production.

Locate and click the above button. The Open file dialog will appear. Please browse to the folder you saved the backup and doubleclick the backup file to restore it. In this case you may skip the steps below and proceed directly to "Managing the 'Tables' window"

2. If you have no backup and just want to IMPORT a basic accounts plan as a point of departure by following these steps:

We have prepared some basic account hierarchy for you. They are in the CSV file format and editable with Excel if you want.

Please click the 'Import accounts plans' button and with the 'Open' dialog, browse to the "C:\Program Files (x86)\Bushsoft\NXAccounts\Templates" folder.

NOTE: You may also want to export the accounting plan from another running accounting using the buttons below and import that exported file as a point-of-departure for your new accounting.

You may even modify the exported file contents manually in Notepad before importing it into the new accounting! However be aware of the strict file format with delimiter characters. Click the round 'i' button beside the 'Import account plans...' button for ore info about the format.

In that case you may not want to import most of the named accounts payables / reveivables accounts:

Select files with the main/foreign language combination that suits your license and import both the mainbook and debcred templates.

During the process you may deselect accounts or sub groups that you do not want. Click the Move to Right or Move to Left until you have selected what you need.

Make sure although that you always have to at least keep the four Mainbook ROOT account groups: Assets, Debts, Incomes and Expenses.


Assigning group hierarchy

You MUST link your own accounting groups to NXAccounts' internal base hierarchy.

Assign your root accounting groups to the app's internal hierarchy.

Open the Settings / Accounts Settings tab.

Click on the 'Group Name' column's black, right triangle in order to select the proper group name for each row.

It is crucial that your accounts plan has these four main root groups: Assets, Debts, Incomes and Expenses. The Financial incomes and expenses groups are NOT mandatory.

Don't forget to click the 'Save' button in the footer when finished!


Managing the 'Tables' window

Until now you have not used the Main Window's 'Tables' button. From now on you will start using this 'hub' for all the different tables used in a modern accounting. Below you will find info on how to read its information and use it in an efficient way.

Please read this 'Tables basic' page VERY carefully to get the most out of your everyday accounting work.

This is the window where you add, modify or delete data from your various accounting tables.

Common features for ALL table views displayed in the scrollable grid:

Right panel controls:

The buttons above are self explanatory. The Modify and Delete buttons works with the row that is currently selected. If you doubleclick a row, you open it for modification.

However some restrictions apply:

You can only add / edit / delete data from non-locked months.

You can only delete your last voucher, given that its month is not yet locked !

You can not delete objects that has already been assigned, referenced or used by other objects.

Top panel controls:

Select the table you want to work with

Click any of the 'tabs' below (Transactions, Accounts etc) to view and manage the wanted table. The opened tab will show the number of records in its table.

Sort the list by clicking on the column header (arrows 1 and 2)

By default all tables are sorted by the leftmost column in the grid, in ascending order. If you look carefully you may recognize a faint triangle indicating the currently sorted column and its sorting order (ascending ᐃ or descending ᐁ) at arrow number 1. However you may click ANY column header cell (arrows 2) to immediately sort the grid in the order of your choice. Re-clicking on a selected column header reverses its sorting order.

When you have the transactions table open (like above) you may for example click the Account column header cell to get a very quick statement 'report' by having all transactions grouped by accounts. Or if 500 bucks are missing in your cashbox you may click the debit or credit column cell to have everything sorted by amounts. Scrolling down to 500 you may review the latest transactions' account numbers to see if you have saved the missing cash transaction with a wrong account number assigned....

Filtering the grid rows (arrow 3 and 4)

In order to search for specific values or strings in the current grid you may enter any string or number in the filter editbox (arrow 3). Then the grid will be filtered so only rows containing what you just entered will be displayed. A very hand feature - if you don't remember which account or voucher number you posted that expense for your friend John Doe... Clicking the X (arrow 4) the filter contents will be erased and all the table's rows will be jdisplayed again.

Navigating the table rows (arrow 5)

You may click the buttons for first, prior, next and last row in the current table.

Refresh the table's contents (arrow 6)

If you are using the networking version of NXAccounts and other users may add or change data then you may

Edit windows controls

Once you have decided to Add or Edit a row in the current grid, the table's Edit Data window will appear. These windoiws will usually have the following buttons available:

The purple 'Open book' button (Help) is your gateway to the help system which informs you about the options and goals at your current position in the app.

The blue First - Prior - Next - Last buttons let you fill the open window with data from other saved recorda in the current data table.

If you want to close the current window without saving the changes, you click on the red 'X' button - or press the <Esc> key.

When you want to save a new or edited record you may click the green 'V' button - or press the <Return> key.

Bottom panel controls:

The labels of the two controls above should make them self explanatory.

The left control enables you to select your desired display currency in grids and reports.

The right control lets you choose between the 'Native' and the 'Foreign' accounts and dimensions name in grids and reports.

For information about your available currencies and languages (which are defined in you license), please consult Settings / App and License data tabsheet. If you need to modify the license, be aware that only a few properties (name typos etc) can be modified during the year.


Foreign currencies settings

Don't forget to enter the initial (January 1st) exchange rates for ALL your foreign currencies..

Go to Main Window / Tables / Exchange rates tab and doubleclick each of the foreign currency rows which have 1.0000 as exchange rate as of January 1st.

... and enter the exchange rate value you want the app to use from january 1st:

Save your changes (left 'V' button) for each foreign currency you modified!

Set your fixed budget foreign currency exchange rate (important)

Your budget's foreign exchange rates should not be dynamic as this will lead to confusion when printing result reports from different periods. So, in order to define the budget exchange rates, please goto

And doubleclick the desired currency to enter its budget currency exchange rate:

Currency properties

The currency name, code and masks are non-editable and defined in the License. See App and License data tabsheet.

Current budget exchange rate

If you leave this field empty then any foreign currency reports containing Budget columns will display the foreign currency's exchange rate as of January 1st.

If this doesn't suit your situation then enter your preferred yearly Budget exchange rate with appropriate precision in this field.

Last budget exchange rate

If you need to note the last used budget exchange rate, please copy and paste it into this field. This field is just for your convenience only, it is not used in any app calculations...


Opening balances

Navigation: Getting started >

Return to chapter overview

Enter opening balances?

Balance vs Result accounts

We assume you know the difference between Balance accounts and Result accounts. In this app Balance accounts are displayed in red color in most situations (except in reports). The account type are dependent of the account's group membership. Those descended from the Assets or Debts root groups are balance accounts and the remaining (descended from Incomes and Expenses) are Result accounts.

Bank, cash, payables and receivables accounts are Balance accounts hence we are required to copy their closing balances for the current year as opening balance for the following year.

Always make sure that your opening balances on January 1st for the current year always matches the previous year's closing balances for the same accounts!.

NOTE: Opening balance amounts are always saved in the transaction currency.

In order to edit the mainbook balance accounts opening balances: First click the Tables Button and then the Accounts Tab. Select the desired account and doubleclick it to edit its properties:

Adding or Editing Accounts

NOTE: Scroll below this section if you need help on the 'Tables' button window's common controls and functions!

Account group

This is the account group into which this account's transaction amounts will be accumulated. If you select a balance account group (red color i tree view) this account will become a Balance account (normally red color), otherwise it will be a Result account (which always reset their opening balance at the start of each fiscal year).

Account number

The number of digits of your mainbook accounts are defined in your license, you can check all your numbering masks, languages and other stuff in Settings / App and License data tab.

Alternative number

If you are reporting to an overseas fundraiser or donor, chances are they are using another account plan numbering scheme that you do. So here you may enter (or receive from them) alternative account numbers which suit their need.

Account name

Enter the name of the account here, remember you can use national accounting numbering and names schemes which normally are publicly available in your country or area.

Foreign account name

If you are reporting to an overseas fundraiser or donor, you may add (or receive from them) the account name in their language. Together with the alternative account number feature (above) this enables them to read your accounting reports in their own language using their own account numbering scheme.

Opening balance

This is only applicable for balance type accounts. The opening balance for all Result type accounts are automatically reset to zero at the beginning of the fiscal year.

Currency

This field is not in use at the moment.

Please read this 'Tables basic' page VERY carefully to get the most out of your everyday accounting work.

This is the window where you add, modify or delete data from your various accounting tables.

Common features for ALL table views displayed in the scrollable grid:

Right panel controls:

The buttons above are self explanatory. The Modify and Delete buttons works with the row that is currently selected. If you doubleclick a row, you open it for modification.

However some restrictions apply:

You can only add / edit / delete data from non-locked months.

You can only delete your last voucher, given that its month is not yet locked !

You can not delete objects that has already been assigned, referenced or used by other objects.

Top panel controls:

Select the table you want to work with

Click any of the 'tabs' below (Transactions, Accounts etc) to view and manage the wanted table. The opened tab will show the number of records in its table.

Sort the list by clicking on the column header (arrows 1 and 2)

By default all tables are sorted by the leftmost column in the grid, in ascending order. If you look carefully you may recognize a faint triangle indicating the currently sorted column and its sorting order (ascending ᐃ or descending ᐁ) at arrow number 1. However you may click ANY column header cell (arrows 2) to immediately sort the grid in the order of your choice. Re-clicking on a selected column header reverses its sorting order.

When you have the transactions table open (like above) you may for example click the Account column header cell to get a very quick statement 'report' by having all transactions grouped by accounts. Or if 500 bucks are missing in your cashbox you may click the debit or credit column cell to have everything sorted by amounts. Scrolling down to 500 you may review the latest transactions' account numbers to see if you have saved the missing cash transaction with a wrong account number assigned....

Filtering the grid rows (arrow 3 and 4)

In order to search for specific values or strings in the current grid you may enter any string or number in the filter editbox (arrow 3). Then the grid will be filtered so only rows containing what you just entered will be displayed. A very hand feature - if you don't remember which account or voucher number you posted that expense for your friend John Doe... Clicking the X (arrow 4) the filter contents will be erased and all the table's rows will be jdisplayed again.

Navigating the table rows (arrow 5)

You may click the buttons for first, prior, next and last row in the current table.

Refresh the table's contents (arrow 6)

If you are using the networking version of NXAccounts and other users may add or change data then you may

Edit windows controls

Once you have decided to Add or Edit a row in the current grid, the table's Edit Data window will appear. These windoiws will usually have the following buttons available:

The purple 'Open book' button (Help) is your gateway to the help system which informs you about the options and goals at your current position in the app.

The blue First - Prior - Next - Last buttons let you fill the open window with data from other saved recorda in the current data table.

If you want to close the current window without saving the changes, you click on the red 'X' button - or press the <Esc> key.

When you want to save a new or edited record you may click the green 'V' button - or press the <Return> key.

Bottom panel controls:

The labels of the two controls above should make them self explanatory.

The left control enables you to select your desired display currency in grids and reports.

The right control lets you choose between the 'Native' and the 'Foreign' accounts and dimensions name in grids and reports.

For information about your available currencies and languages (which are defined in you license), please consult Settings / App and License data tabsheet. If you need to modify the license, be aware that only a few properties (name typos etc) can be modified during the year.

In order to edit the accounts receivables / payables opening balances: First click the Tables Button and then the Receivables/Payables Tab. Select the desired account and doubleclick it to edit its properties:

Adding or Editing Accounts Payables / Receivables

NOTE: Scroll below this section if you need help on the 'Tables' button window's common controls and functions!

As the Accounts Payables / Receivables most often addresses companies and people they store different data than the mainbook accounts.

Account group

This is the account groups in which this account's transactions will be accumulated into. This type of accounts are always 'Balance' (red color i tree view).

Account number

The number of digits of your accounts receivables / payablesare defined in your license, you can check all your numbering masks, languages and other stuff in Settings / App and License data tab.

Alternative number

If you are reporting to an overseas fundraiser or donor, chances are they are using another account plan numbering scheme that you do. So here you may enter (or receive from them) alternative account numbers which suit their need.

Account name

Enter the name of the account here, remember you can use national accounting numbering and names schemes which normally are publicly available in your country or area.

Foreign account name

If you are reporting to an overseas fundraiser or donor, you may add (or receive from them) the account name in their language. Together with the alternative account number feature (above) this enables them to read your accounting reports in their own language using their own account numbering scheme.

Opening balance

Make sure you enter the correct opening balance here. It must be an exact match with the previous year's FINAL closing balance. If this is not your first year using NXAccounts you can automatically update these balances by clicking the 'Copy account Balances from previous year...' button in Settings / Account settings tab

Currency

This field is not in use at the moment.

The Address, phone numbers and email address fields are self explanatory, they are not used in calculations or reports.

Please read this 'Tables basic' page VERY carefully to get the most out of your everyday accounting work.

This is the window where you add, modify or delete data from your various accounting tables.

Common features for ALL table views displayed in the scrollable grid:

Right panel controls:

The buttons above are self explanatory. The Modify and Delete buttons works with the row that is currently selected. If you doubleclick a row, you open it for modification.

However some restrictions apply:

You can only add / edit / delete data from non-locked months.

You can only delete your last voucher, given that its month is not yet locked !

You can not delete objects that has already been assigned, referenced or used by other objects.

Top panel controls:

Select the table you want to work with

Click any of the 'tabs' below (Transactions, Accounts etc) to view and manage the wanted table. The opened tab will show the number of records in its table.

Sort the list by clicking on the column header (arrows 1 and 2)

By default all tables are sorted by the leftmost column in the grid, in ascending order. If you look carefully you may recognize a faint triangle indicating the currently sorted column and its sorting order (ascending ᐃ or descending ᐁ) at arrow number 1. However you may click ANY column header cell (arrows 2) to immediately sort the grid in the order of your choice. Re-clicking on a selected column header reverses its sorting order.

When you have the transactions table open (like above) you may for example click the Account column header cell to get a very quick statement 'report' by having all transactions grouped by accounts. Or if 500 bucks are missing in your cashbox you may click the debit or credit column cell to have everything sorted by amounts. Scrolling down to 500 you may review the latest transactions' account numbers to see if you have saved the missing cash transaction with a wrong account number assigned....

Filtering the grid rows (arrow 3 and 4)

In order to search for specific values or strings in the current grid you may enter any string or number in the filter editbox (arrow 3). Then the grid will be filtered so only rows containing what you just entered will be displayed. A very hand feature - if you don't remember which account or voucher number you posted that expense for your friend John Doe... Clicking the X (arrow 4) the filter contents will be erased and all the table's rows will be jdisplayed again.

Navigating the table rows (arrow 5)

You may click the buttons for first, prior, next and last row in the current table.

Refresh the table's contents (arrow 6)

If you are using the networking version of NXAccounts and other users may add or change data then you may

Edit windows controls

Once you have decided to Add or Edit a row in the current grid, the table's Edit Data window will appear. These windoiws will usually have the following buttons available:

The purple 'Open book' button (Help) is your gateway to the help system which informs you about the options and goals at your current position in the app.

The blue First - Prior - Next - Last buttons let you fill the open window with data from other saved recorda in the current data table.

If you want to close the current window without saving the changes, you click on the red 'X' button - or press the <Esc> key.

When you want to save a new or edited record you may click the green 'V' button - or press the <Return> key.

Bottom panel controls:

The labels of the two controls above should make them self explanatory.

The left control enables you to select your desired display currency in grids and reports.

The right control lets you choose between the 'Native' and the 'Foreign' accounts and dimensions name in grids and reports.

For information about your available currencies and languages (which are defined in you license), please consult Settings / App and License data tabsheet. If you need to modify the license, be aware that only a few properties (name typos etc) can be modified during the year.


Counter account list

Navigation: Getting started >

Return to chapter overview

Voucher balance accounts

NOTE: Please read this chapter carefully, once you get used to this feature it will save you a LOT OF TIME.

When you have entered your voucher's initial debit or credit transaction(s) you need to balance the debit and credit columns of the voucher in order to save it. Vouchers always need to be balanced (the sum of all debit MUST equal the sum of credit transactions).

Normally you will need to manually enter or lookup the desired 'counter accounts' every time you save the voucher.

So to In order to process vouchers more quickly, you may create and maintain a list of the most used 'counter accounts' by pressing function key F9.

Initially this pops up a dialog with empty account list entries. Click on the small 'V' at the right end of each box, and compose a list of what YOU think will be YOUR most frequently used 'balancing' accounts. Normally cash and bank accounts are populat candidates... The list is automatically saved after each modification:

In the example above cashier James register most vouchers against his cash box account, hence that's the first entry on his list.

Example

So when you have entered (all) the expenses or incomes transaction(s) for your current voucher and want to quickly balance it against Cashier Rut's cashbox, then press F9 and then digit key 4 and then F2 to save the voucher, display its number and then proceed with the new voucher.

NOTE regarding the first listed account

If you just press F2 in the same situation then the voucher will be balanced against the list's first account (here it's Cashier James) so you don't need to show the list at all. Just see the saved voucher number and open the 'Add voucher' window for the next voucher.


Default and Mandatory Dimensions

Are you sick and tired of often having to enter 'default' data into your empty dimension controls for every result transaction?

We have a cure for that too. Click the above Def. button to open a list where you can select default dimensions (which will then be prefilled for result account transactions in every new voucher). If you want to erase one of these settings, use your keyboard's Delete button

Mandatory dimensions

If you want to force your accountants to ALWAYS select valid dimensions for all result accounts you may set any Dimension's Mandatory field to TRUE. Click your Settings tab and then the Dimension Types tab:

Dimension properties

The dimension names and number / code masks are non-editable and defined in the License. See App and License data tabsheet.

You find the editable properties for Dimension types in Settings / Dimension types here:

Doubleclick the desired dimension to open its editing form:

These are the only two editable properties in Dimension types:

Name in title

Here you may decide if you want this dimension's name in addition to its code / number displayed in Report Headers. Displaying the name is informative but it also takes up space so it is up to you if you want it included or not

Mandatory

If you check this box then the accountant MUST choose a dimension account when registering vouchers. In that case the transaction's dimension data field cannot be empty.

This is the preferred setting. If you leave it empty then transactions will 'fall between two chairs' unless you always print result reports for ALL dimensions.


The Main window - important info!

Note that the currently opened accounting's name, office and year are always displayed as the caption on the mainform's top window frame!

Once you have successfully logged in then the app's Main Window appears - which greets you with some basic information about the accounting you just opened.

IMPORTANT! Please always check if others have been logging in using YOUR login name since the last time YOU were logged in (1). Also check the timestamp and username who last modified the accounting (2). Also make sure you LOCK the PERIODS after each report submitted to your fundraisers (3). Make sure that you never forget to create backup copies of your accounting once changes have been made (4). Don't forget to enter all beginning-of-year exchange rates for ALL your foreign currencies against your transaction currency (5).

Finally, please ALWAYS download, install and RUN the latest version of the software (6) By this you benefit from bug fixes and new enhancements!


Change accounting or year

Navigation: The Main window - important info! >

Return to chapter overview

Change accounting or year or year

Your every-day login window looks more or less like the screenshot below. The license, year, office and username are remembered from your last session. So to continue where you left it's only to enter your password and click the 'Login!' button.

However, if you need to open another accounting (or create a new year), do click the 'Change database' button (see above). Then the 'extended' login window will open:

Above you may select any other License name, Office and Year which belongs to you. You open it by clicking the 'Login!' button.

Forgotten password?

If you recently have changed your password and cannot remember it you will get this warning:

We really encourage you to try a few times more matching your current password before giving up and click the 'Forgot password...' button. In that case another window will pop up with a long code that needs to be copied to your clipboard and pasted into an email message that you must send to support@bushsoft.com. We will then as soon as possible provide you with an unlock code to be pasted into the same form which enables you to enter a NEW password for the current accounting.


Exit

Quit the app and close its window....

If you don't fancy closing your apps with Windows' default X button at NXAccounts upper right corner, you may use this button :-)


Make backup

This is NXAccounts' most important button. By clicking it you create a complete backup copy of the current year's accounting data.

You may save the backup to your Onedrive storage location or to local media, like a USB memory stick.

These copies enables you to restore your accounting to another computer in case of computer failure or theft, or office fire!

The app will remind you of the backup feature once you have too many new vouchers which are not backed up. However it is a good practice to backup after each session where multiple changes have been made...


Tables....

Navigation: The Main window - important info! >

Return to chapter overview

Mainform / Tables....

Please read this 'Tables basic' page VERY carefully to get the most out of your everyday accounting work.

This is the window where you add, modify or delete data from your various accounting tables.

Common features for ALL table views displayed in the scrollable grid:

Right panel controls:

The buttons above are self explanatory. The Modify and Delete buttons works with the row that is currently selected. If you doubleclick a row, you open it for modification.

However some restrictions apply:

You can only add / edit / delete data from non-locked months.

You can only delete your last voucher, given that its month is not yet locked !

You can not delete objects that has already been assigned, referenced or used by other objects.

Top panel controls:

Select the table you want to work with

Click any of the 'tabs' below (Transactions, Accounts etc) to view and manage the wanted table. The opened tab will show the number of records in its table.

Sort the list by clicking on the column header (arrows 1 and 2)

By default all tables are sorted by the leftmost column in the grid, in ascending order. If you look carefully you may recognize a faint triangle indicating the currently sorted column and its sorting order (ascending ᐃ or descending ᐁ) at arrow number 1. However you may click ANY column header cell (arrows 2) to immediately sort the grid in the order of your choice. Re-clicking on a selected column header reverses its sorting order.

When you have the transactions table open (like above) you may for example click the Account column header cell to get a very quick statement 'report' by having all transactions grouped by accounts. Or if 500 bucks are missing in your cashbox you may click the debit or credit column cell to have everything sorted by amounts. Scrolling down to 500 you may review the latest transactions' account numbers to see if you have saved the missing cash transaction with a wrong account number assigned....

Filtering the grid rows (arrow 3 and 4)

In order to search for specific values or strings in the current grid you may enter any string or number in the filter editbox (arrow 3). Then the grid will be filtered so only rows containing what you just entered will be displayed. A very hand feature - if you don't remember which account or voucher number you posted that expense for your friend John Doe... Clicking the X (arrow 4) the filter contents will be erased and all the table's rows will be jdisplayed again.

Navigating the table rows (arrow 5)

You may click the buttons for first, prior, next and last row in the current table.

Refresh the table's contents (arrow 6)

If you are using the networking version of NXAccounts and other users may add or change data then you may

Edit windows controls

Once you have decided to Add or Edit a row in the current grid, the table's Edit Data window will appear. These windoiws will usually have the following buttons available:

The purple 'Open book' button (Help) is your gateway to the help system which informs you about the options and goals at your current position in the app.

The blue First - Prior - Next - Last buttons let you fill the open window with data from other saved recorda in the current data table.

If you want to close the current window without saving the changes, you click on the red 'X' button - or press the <Esc> key.

When you want to save a new or edited record you may click the green 'V' button - or press the <Return> key.

Bottom panel controls:

The labels of the two controls above should make them self explanatory.

The left control enables you to select your desired display currency in grids and reports.

The right control lets you choose between the 'Native' and the 'Foreign' accounts and dimensions name in grids and reports.

For information about your available currencies and languages (which are defined in you license), please consult Settings / App and License data tabsheet. If you need to modify the license, be aware that only a few properties (name typos etc) can be modified during the year.


Vouchers / transactions

Navigation: The Main window - important info! > Tables.... >

Return to chapter overview

Vouchers / transactions list

Adding or Editing vouchers

NOTE: Scroll below this section if you need help on the 'Tables' button window's common controls and functions!

NXAccounts has been built to enable users to register vouchers quickly, efficiently and with as few keystrokes as possible. In this process you will save a lot of time by focusing on the keyboard only - and not spending time on moving your hand between the keyboard and the mouse in this process. To achieve this, we use the <TAB> (tabulator) key to jump from one control to the next one. To jump backwards to the previous control you hold the <SHIFT> key when hitting <TAB>

Please click the MainForm's 'Tables' button and make sure the 'Transactions' tab is open. Here you see the list of all saved transactions, grouped as vouchers, for the current year.

After having clicked Add (voucher) and the voucher edit form has popped up, make sure you have selected the correct Period / Month in the upper left corner of the form:

Voucher period and date:

The app always remembers your last used period. The period defines the financial month of the income / expense. This is necessary in order to compare the accounting against cash counting for a month or auditing your bank statements against the app's statements for the same bank account.

Now when you have checked the correct period, click the date control in order to start. NOTE: You only needto enter the day number here (as the month number is automatically copied from the period) and then press the <TAB> key to jump to the account number control. However if your physical voucher is from another month you may of course add the month number too, just make sure you separate them with your Windows' date separator.

Transaction's account:

As you start typing some digits or some text here, the app will lookup any matching accounts and you may use the arrow keys to select the desired account. Proceed by pressing the <TAB> key to continue. For payables / receivables account types always remember to prefix their account number with an asterisk (like this: *1212)

NOTE: When registering vouchers, always enter the (or all) result type account transaction(s) first and finally balance the voucher against the balance account (usually cash or bank) as the voucher's last transaction.

Transaction text:

The same lookup feature is available here too. Select an existing text, modify it or type a new text as needed. Continue to next control by pressing the <TAB> key.

Dimension code or number: Enter each dimension's number or code just as you did for the account. Their name will appear in the list so you know what you have chosen. Jump to the next control by pressing the <TAB> key.

If you have no extra dimensions in your license, please jump directly to the Transaction amount paragraph below.

Transaction amount:

If you usually register expenses, then the initial position of the amount control would be debit (left position). You may quickly move to credit or back to debit by pressing the 'C' or the 'D' key. Pressing the function key F3 will swap between Debit/Credit. Enter the desired amount using your Windows' default locale decimal sign (if applicable).

If you need to enter a foreign currency amount for automatic conversion to the transaction currency you may click the $/€ button (right hand side of amount control), see above. Then the calculator dialog below will appear. Make sure you have entered relevant foreign currency exchange rate values for the selected currency before using this feature.

The first transaction is now completed:

Most vouchers normally have two transactions. If this is the case now, please jump to the Balancing Voucher paragraph.

If you need adding more transactions before completing or balancing the voucher, press function key F4 and continue from 'Transaction account' above.

Balancing the voucher: When all the incomes or expenses transactions are entered it is time to balance your voucher (normally against a cash or bank account). So please press function key F9 to pop up the Quick Access list of most used accounts. If you haven't done this before, please select the account you use most (your Main Cash?) on line #1 and add other accounts (cash or bank) further down the list. This list will be preserved until you modify it in the future. By pressing the numeric key for the digit to the left of the desired account (or clicking its button) the balancing transaction will be added using your choice.

If you need to balance your voucher against a non-common account you just select the desired account, copy or enter the desired text and then press function key F8 to auto-balance your voucher..

If you discover any errors in any transaction data you may click the desired transaction row and edit its data in the controls where you entered the data. If you need to re-balance the voucher then click to select the desired balancing (lower?) transaction and press function key F8 to update the balance amount.

Now the voucher is balanced and ready to be saved. If you want to continue registering another voucher, press function key F2 (Save + Add new). If you want to quit and close the form then just press the <ENTER> key (Save + Close window).

Please read this 'Tables basic' page VERY carefully to get the most out of your everyday accounting work.

This is the window where you add, modify or delete data from your various accounting tables.

Common features for ALL table views displayed in the scrollable grid:

Right panel controls:

The buttons above are self explanatory. The Modify and Delete buttons works with the row that is currently selected. If you doubleclick a row, you open it for modification.

However some restrictions apply:

You can only add / edit / delete data from non-locked months.

You can only delete your last voucher, given that its month is not yet locked !

You can not delete objects that has already been assigned, referenced or used by other objects.

Top panel controls:

Select the table you want to work with

Click any of the 'tabs' below (Transactions, Accounts etc) to view and manage the wanted table. The opened tab will show the number of records in its table.

Sort the list by clicking on the column header (arrows 1 and 2)

By default all tables are sorted by the leftmost column in the grid, in ascending order. If you look carefully you may recognize a faint triangle indicating the currently sorted column and its sorting order (ascending ᐃ or descending ᐁ) at arrow number 1. However you may click ANY column header cell (arrows 2) to immediately sort the grid in the order of your choice. Re-clicking on a selected column header reverses its sorting order.

When you have the transactions table open (like above) you may for example click the Account column header cell to get a very quick statement 'report' by having all transactions grouped by accounts. Or if 500 bucks are missing in your cashbox you may click the debit or credit column cell to have everything sorted by amounts. Scrolling down to 500 you may review the latest transactions' account numbers to see if you have saved the missing cash transaction with a wrong account number assigned....

Filtering the grid rows (arrow 3 and 4)

In order to search for specific values or strings in the current grid you may enter any string or number in the filter editbox (arrow 3). Then the grid will be filtered so only rows containing what you just entered will be displayed. A very hand feature - if you don't remember which account or voucher number you posted that expense for your friend John Doe... Clicking the X (arrow 4) the filter contents will be erased and all the table's rows will be jdisplayed again.

Navigating the table rows (arrow 5)

You may click the buttons for first, prior, next and last row in the current table.

Refresh the table's contents (arrow 6)

If you are using the networking version of NXAccounts and other users may add or change data then you may

Edit windows controls

Once you have decided to Add or Edit a row in the current grid, the table's Edit Data window will appear. These windoiws will usually have the following buttons available:

The purple 'Open book' button (Help) is your gateway to the help system which informs you about the options and goals at your current position in the app.

The blue First - Prior - Next - Last buttons let you fill the open window with data from other saved recorda in the current data table.

If you want to close the current window without saving the changes, you click on the red 'X' button - or press the <Esc> key.

When you want to save a new or edited record you may click the green 'V' button - or press the <Return> key.

Bottom panel controls:

The labels of the two controls above should make them self explanatory.

The left control enables you to select your desired display currency in grids and reports.

The right control lets you choose between the 'Native' and the 'Foreign' accounts and dimensions name in grids and reports.

For information about your available currencies and languages (which are defined in you license), please consult Settings / App and License data tabsheet. If you need to modify the license, be aware that only a few properties (name typos etc) can be modified during the year.


Accounts

Navigation: The Main window - important info! > Tables.... >

Return to chapter overview

Editing or adding accounts

Adding or Editing Accounts

NOTE: Scroll below this section if you need help on the 'Tables' button window's common controls and functions!

Account group

This is the account group into which this account's transaction amounts will be accumulated. If you select a balance account group (red color i tree view) this account will become a Balance account (normally red color), otherwise it will be a Result account (which always reset their opening balance at the start of each fiscal year).

Account number

The number of digits of your mainbook accounts are defined in your license, you can check all your numbering masks, languages and other stuff in Settings / App and License data tab.

Alternative number

If you are reporting to an overseas fundraiser or donor, chances are they are using another account plan numbering scheme that you do. So here you may enter (or receive from them) alternative account numbers which suit their need.

Account name

Enter the name of the account here, remember you can use national accounting numbering and names schemes which normally are publicly available in your country or area.

Foreign account name

If you are reporting to an overseas fundraiser or donor, you may add (or receive from them) the account name in their language. Together with the alternative account number feature (above) this enables them to read your accounting reports in their own language using their own account numbering scheme.

Opening balance

This is only applicable for balance type accounts. The opening balance for all Result type accounts are automatically reset to zero at the beginning of the fiscal year.

Currency

This field is not in use at the moment.

Please read this 'Tables basic' page VERY carefully to get the most out of your everyday accounting work.

This is the window where you add, modify or delete data from your various accounting tables.

Common features for ALL table views displayed in the scrollable grid:

Right panel controls:

The buttons above are self explanatory. The Modify and Delete buttons works with the row that is currently selected. If you doubleclick a row, you open it for modification.

However some restrictions apply:

You can only add / edit / delete data from non-locked months.

You can only delete your last voucher, given that its month is not yet locked !

You can not delete objects that has already been assigned, referenced or used by other objects.

Top panel controls:

Select the table you want to work with

Click any of the 'tabs' below (Transactions, Accounts etc) to view and manage the wanted table. The opened tab will show the number of records in its table.

Sort the list by clicking on the column header (arrows 1 and 2)

By default all tables are sorted by the leftmost column in the grid, in ascending order. If you look carefully you may recognize a faint triangle indicating the currently sorted column and its sorting order (ascending ᐃ or descending ᐁ) at arrow number 1. However you may click ANY column header cell (arrows 2) to immediately sort the grid in the order of your choice. Re-clicking on a selected column header reverses its sorting order.

When you have the transactions table open (like above) you may for example click the Account column header cell to get a very quick statement 'report' by having all transactions grouped by accounts. Or if 500 bucks are missing in your cashbox you may click the debit or credit column cell to have everything sorted by amounts. Scrolling down to 500 you may review the latest transactions' account numbers to see if you have saved the missing cash transaction with a wrong account number assigned....

Filtering the grid rows (arrow 3 and 4)

In order to search for specific values or strings in the current grid you may enter any string or number in the filter editbox (arrow 3). Then the grid will be filtered so only rows containing what you just entered will be displayed. A very hand feature - if you don't remember which account or voucher number you posted that expense for your friend John Doe... Clicking the X (arrow 4) the filter contents will be erased and all the table's rows will be jdisplayed again.

Navigating the table rows (arrow 5)

You may click the buttons for first, prior, next and last row in the current table.

Refresh the table's contents (arrow 6)

If you are using the networking version of NXAccounts and other users may add or change data then you may

Edit windows controls

Once you have decided to Add or Edit a row in the current grid, the table's Edit Data window will appear. These windoiws will usually have the following buttons available:

The purple 'Open book' button (Help) is your gateway to the help system which informs you about the options and goals at your current position in the app.

The blue First - Prior - Next - Last buttons let you fill the open window with data from other saved recorda in the current data table.

If you want to close the current window without saving the changes, you click on the red 'X' button - or press the <Esc> key.

When you want to save a new or edited record you may click the green 'V' button - or press the <Return> key.

Bottom panel controls:

The labels of the two controls above should make them self explanatory.

The left control enables you to select your desired display currency in grids and reports.

The right control lets you choose between the 'Native' and the 'Foreign' accounts and dimensions name in grids and reports.

For information about your available currencies and languages (which are defined in you license), please consult Settings / App and License data tabsheet. If you need to modify the license, be aware that only a few properties (name typos etc) can be modified during the year.


Accounts payables / receivables

Adding or Editing Accounts Payables / Receivables

NOTE: Scroll below this section if you need help on the 'Tables' button window's common controls and functions!

As the Accounts Payables / Receivables most often addresses companies and people they store different data than the mainbook accounts.

Account group

This is the account groups in which this account's transactions will be accumulated into. This type of accounts are always 'Balance' (red color i tree view).

Account number

The number of digits of your accounts receivables / payablesare defined in your license, you can check all your numbering masks, languages and other stuff in Settings / App and License data tab.

Alternative number

If you are reporting to an overseas fundraiser or donor, chances are they are using another account plan numbering scheme that you do. So here you may enter (or receive from them) alternative account numbers which suit their need.

Account name

Enter the name of the account here, remember you can use national accounting numbering and names schemes which normally are publicly available in your country or area.

Foreign account name

If you are reporting to an overseas fundraiser or donor, you may add (or receive from them) the account name in their language. Together with the alternative account number feature (above) this enables them to read your accounting reports in their own language using their own account numbering scheme.

Opening balance

Make sure you enter the correct opening balance here. It must be an exact match with the previous year's FINAL closing balance. If this is not your first year using NXAccounts you can automatically update these balances by clicking the 'Copy account Balances from previous year...' button in Settings / Account settings tab

Currency

This field is not in use at the moment.

The Address, phone numbers and email address fields are self explanatory, they are not used in calculations or reports.

Please read this 'Tables basic' page VERY carefully to get the most out of your everyday accounting work.

This is the window where you add, modify or delete data from your various accounting tables.

Common features for ALL table views displayed in the scrollable grid:

Right panel controls:

The buttons above are self explanatory. The Modify and Delete buttons works with the row that is currently selected. If you doubleclick a row, you open it for modification.

However some restrictions apply:

You can only add / edit / delete data from non-locked months.

You can only delete your last voucher, given that its month is not yet locked !

You can not delete objects that has already been assigned, referenced or used by other objects.

Top panel controls:

Select the table you want to work with

Click any of the 'tabs' below (Transactions, Accounts etc) to view and manage the wanted table. The opened tab will show the number of records in its table.

Sort the list by clicking on the column header (arrows 1 and 2)

By default all tables are sorted by the leftmost column in the grid, in ascending order. If you look carefully you may recognize a faint triangle indicating the currently sorted column and its sorting order (ascending ᐃ or descending ᐁ) at arrow number 1. However you may click ANY column header cell (arrows 2) to immediately sort the grid in the order of your choice. Re-clicking on a selected column header reverses its sorting order.

When you have the transactions table open (like above) you may for example click the Account column header cell to get a very quick statement 'report' by having all transactions grouped by accounts. Or if 500 bucks are missing in your cashbox you may click the debit or credit column cell to have everything sorted by amounts. Scrolling down to 500 you may review the latest transactions' account numbers to see if you have saved the missing cash transaction with a wrong account number assigned....

Filtering the grid rows (arrow 3 and 4)

In order to search for specific values or strings in the current grid you may enter any string or number in the filter editbox (arrow 3). Then the grid will be filtered so only rows containing what you just entered will be displayed. A very hand feature - if you don't remember which account or voucher number you posted that expense for your friend John Doe... Clicking the X (arrow 4) the filter contents will be erased and all the table's rows will be jdisplayed again.

Navigating the table rows (arrow 5)

You may click the buttons for first, prior, next and last row in the current table.

Refresh the table's contents (arrow 6)

If you are using the networking version of NXAccounts and other users may add or change data then you may

Edit windows controls

Once you have decided to Add or Edit a row in the current grid, the table's Edit Data window will appear. These windoiws will usually have the following buttons available:

The purple 'Open book' button (Help) is your gateway to the help system which informs you about the options and goals at your current position in the app.

The blue First - Prior - Next - Last buttons let you fill the open window with data from other saved recorda in the current data table.

If you want to close the current window without saving the changes, you click on the red 'X' button - or press the <Esc> key.

When you want to save a new or edited record you may click the green 'V' button - or press the <Return> key.

Bottom panel controls:

The labels of the two controls above should make them self explanatory.

The left control enables you to select your desired display currency in grids and reports.

The right control lets you choose between the 'Native' and the 'Foreign' accounts and dimensions name in grids and reports.

For information about your available currencies and languages (which are defined in you license), please consult Settings / App and License data tabsheet. If you need to modify the license, be aware that only a few properties (name typos etc) can be modified during the year.


Dimensions

Navigation: The Main window - important info! > Tables.... >

Return to chapter overview

Dimensions - adding or modifying

Adding or Editing Dimensions

NOTE: Scroll below this section if you need help on the 'Tables' button window's common controls and functions!

Dimension number or code

The number of digits of your mainbook accounts are defined in your license, you can check all your numbering masks, languages and other stuff in Settings / App and License data tab.

Export group number

Not currently in use.

Dimension name

Enter the name of the dimension here

Foreign dimension name

If you are reporting to an overseas fundraiser or donor, you may add (or receive from them) the dimansion name in their language. This enables them to read your accounting reports in their own language using their own account and dimension naming scheme.

Please read this 'Tables basic' page VERY carefully to get the most out of your everyday accounting work.

This is the window where you add, modify or delete data from your various accounting tables.

Common features for ALL table views displayed in the scrollable grid:

Right panel controls:

The buttons above are self explanatory. The Modify and Delete buttons works with the row that is currently selected. If you doubleclick a row, you open it for modification.

However some restrictions apply:

You can only add / edit / delete data from non-locked months.

You can only delete your last voucher, given that its month is not yet locked !

You can not delete objects that has already been assigned, referenced or used by other objects.

Top panel controls:

Select the table you want to work with

Click any of the 'tabs' below (Transactions, Accounts etc) to view and manage the wanted table. The opened tab will show the number of records in its table.

Sort the list by clicking on the column header (arrows 1 and 2)

By default all tables are sorted by the leftmost column in the grid, in ascending order. If you look carefully you may recognize a faint triangle indicating the currently sorted column and its sorting order (ascending ᐃ or descending ᐁ) at arrow number 1. However you may click ANY column header cell (arrows 2) to immediately sort the grid in the order of your choice. Re-clicking on a selected column header reverses its sorting order.

When you have the transactions table open (like above) you may for example click the Account column header cell to get a very quick statement 'report' by having all transactions grouped by accounts. Or if 500 bucks are missing in your cashbox you may click the debit or credit column cell to have everything sorted by amounts. Scrolling down to 500 you may review the latest transactions' account numbers to see if you have saved the missing cash transaction with a wrong account number assigned....

Filtering the grid rows (arrow 3 and 4)

In order to search for specific values or strings in the current grid you may enter any string or number in the filter editbox (arrow 3). Then the grid will be filtered so only rows containing what you just entered will be displayed. A very hand feature - if you don't remember which account or voucher number you posted that expense for your friend John Doe... Clicking the X (arrow 4) the filter contents will be erased and all the table's rows will be jdisplayed again.

Navigating the table rows (arrow 5)

You may click the buttons for first, prior, next and last row in the current table.

Refresh the table's contents (arrow 6)

If you are using the networking version of NXAccounts and other users may add or change data then you may

Edit windows controls

Once you have decided to Add or Edit a row in the current grid, the table's Edit Data window will appear. These windoiws will usually have the following buttons available:

The purple 'Open book' button (Help) is your gateway to the help system which informs you about the options and goals at your current position in the app.

The blue First - Prior - Next - Last buttons let you fill the open window with data from other saved recorda in the current data table.

If you want to close the current window without saving the changes, you click on the red 'X' button - or press the <Esc> key.

When you want to save a new or edited record you may click the green 'V' button - or press the <Return> key.

Bottom panel controls:

The labels of the two controls above should make them self explanatory.

The left control enables you to select your desired display currency in grids and reports.

The right control lets you choose between the 'Native' and the 'Foreign' accounts and dimensions name in grids and reports.

For information about your available currencies and languages (which are defined in you license), please consult Settings / App and License data tabsheet. If you need to modify the license, be aware that only a few properties (name typos etc) can be modified during the year.


Budget

Navigation: The Main window - important info! > Tables.... >

Return to chapter overview

Budget: Adding or Modifying

Add or Edit Budgets

NOTE: Scroll below this section if you need help on the 'Tables' button window's common controls and functions!

Introduction

Budget records are created and maintained by combining Dimensions. You can have separate budgets for, say, project 'Agriculture' in department 'Hyde Park', and for 'Education' in 'Sahara' according to your different dimension names. Make sure to create a good description to put in the Budget Name field so it is easily understandable which dimensions it accumulates.

Budget code

Here you may enter whatever ID you desire

Budget name

Enter a descriptive name for the current budget

Budget foreign name

Same as above, but in the account names' foreign language

Responsible

Enter the name of the person who is responsible for this current budget

Notes

Here you may enter important information about what is in included or persons involved etc.

List of dimensions (upper right panel)

Select the wanted dimension(s) here. You may leave some dimensions unselected if needed.

Panel above table list

If you need to locate a certain account you may start entering its name in the filter box. The 'First or second half year' svaps the table's month columns to first or last half year.

Table - Alternate code

Here you may enter an alternative account number or code for this particular account.

Table - Alternate name

Here you may enter an alternative account name or description for this particular account.

Table - Yearly vs. Monthly

Here you enter the yearly gross budget amount. The app will evenly distribute this yearly amount to each month of the year. If you want to manually distribute the yearly amounts for certain accounts (for example when purchasing a car) make sure the Yearly amount is zero before you begin and the you enter the monthly amount(s) manually.

Save your work

Make sure you save your work before quitting the form...

Please read this 'Tables basic' page VERY carefully to get the most out of your everyday accounting work.

This is the window where you add, modify or delete data from your various accounting tables.

Common features for ALL table views displayed in the scrollable grid:

Right panel controls:

The buttons above are self explanatory. The Modify and Delete buttons works with the row that is currently selected. If you doubleclick a row, you open it for modification.

However some restrictions apply:

You can only add / edit / delete data from non-locked months.

You can only delete your last voucher, given that its month is not yet locked !

You can not delete objects that has already been assigned, referenced or used by other objects.

Top panel controls:

Select the table you want to work with

Click any of the 'tabs' below (Transactions, Accounts etc) to view and manage the wanted table. The opened tab will show the number of records in its table.

Sort the list by clicking on the column header (arrows 1 and 2)

By default all tables are sorted by the leftmost column in the grid, in ascending order. If you look carefully you may recognize a faint triangle indicating the currently sorted column and its sorting order (ascending ᐃ or descending ᐁ) at arrow number 1. However you may click ANY column header cell (arrows 2) to immediately sort the grid in the order of your choice. Re-clicking on a selected column header reverses its sorting order.

When you have the transactions table open (like above) you may for example click the Account column header cell to get a very quick statement 'report' by having all transactions grouped by accounts. Or if 500 bucks are missing in your cashbox you may click the debit or credit column cell to have everything sorted by amounts. Scrolling down to 500 you may review the latest transactions' account numbers to see if you have saved the missing cash transaction with a wrong account number assigned....

Filtering the grid rows (arrow 3 and 4)

In order to search for specific values or strings in the current grid you may enter any string or number in the filter editbox (arrow 3). Then the grid will be filtered so only rows containing what you just entered will be displayed. A very hand feature - if you don't remember which account or voucher number you posted that expense for your friend John Doe... Clicking the X (arrow 4) the filter contents will be erased and all the table's rows will be jdisplayed again.

Navigating the table rows (arrow 5)

You may click the buttons for first, prior, next and last row in the current table.

Refresh the table's contents (arrow 6)

If you are using the networking version of NXAccounts and other users may add or change data then you may

Edit windows controls

Once you have decided to Add or Edit a row in the current grid, the table's Edit Data window will appear. These windoiws will usually have the following buttons available:

The purple 'Open book' button (Help) is your gateway to the help system which informs you about the options and goals at your current position in the app.

The blue First - Prior - Next - Last buttons let you fill the open window with data from other saved recorda in the current data table.

If you want to close the current window without saving the changes, you click on the red 'X' button - or press the <Esc> key.

When you want to save a new or edited record you may click the green 'V' button - or press the <Return> key.

Bottom panel controls:

The labels of the two controls above should make them self explanatory.

The left control enables you to select your desired display currency in grids and reports.

The right control lets you choose between the 'Native' and the 'Foreign' accounts and dimensions name in grids and reports.

For information about your available currencies and languages (which are defined in you license), please consult Settings / App and License data tabsheet. If you need to modify the license, be aware that only a few properties (name typos etc) can be modified during the year.


Exchange rates

Navigation: The Main window - important info! > Tables.... >

Return to chapter overview

Add / Edit Currency exchange rates

Adding or Editing Exchange rates

NOTE: Scroll below this section if you need help on the 'Tables' button window's common controls and functions!

Dynamic or static exchange rates throughout the year?

Depending on your policies you may either want to just enter the exchange rate(s) for your foreign currencies on January 1st and keep them fixed for the whole fiscal year OR you may update your foreign exchange rates each time you receive funding from abroad. Please discuss with your fundraiser which policy they want you to apply.

When do I add a new exchange rate?

Most customers enter a new exchange rate on the same day they receive funding transfers (most often via bank) from donor organisations. In this case the exchange rate will more or less follow the 'real' value of the amount transferred including any inflation fluctuations.

Why exchange rates?

In order to calculate the correct exchange rate between the transaction (voucher) currency and a foreign currency for a certain day you may update or add exchange rates up to one per day. This is also the reason why the fixed exchange rate for the transaction currency itself always will be 1.0000000000.

Need exchange rates from January 1st..

It is mandatory to verify or enter correct exchange rate values for January 1st for ALL foreign currencies. Otherwise the app will not have a sensible way of displaying lists and reports in foreign currencies.

Validity period

If you enter an exchange rate for February 3rd it will be used for all transactions from this date and up to a new exchange rate is registered from a later date.

Exchange rate value

You may calculate the exchange rate like this: Transferred amount in foreign currency DIVIDED BY Obtained amount in transaction currency EQUALS Exchange rate value.

NOTE

The BUDGET exchange rate for the foreign currencies is fixed throughout the year and can be modified in the Settings / Currencies tabsheet.

Please read this 'Tables basic' page VERY carefully to get the most out of your everyday accounting work.

This is the window where you add, modify or delete data from your various accounting tables.

Common features for ALL table views displayed in the scrollable grid:

Right panel controls:

The buttons above are self explanatory. The Modify and Delete buttons works with the row that is currently selected. If you doubleclick a row, you open it for modification.

However some restrictions apply:

You can only add / edit / delete data from non-locked months.

You can only delete your last voucher, given that its month is not yet locked !

You can not delete objects that has already been assigned, referenced or used by other objects.

Top panel controls:

Select the table you want to work with

Click any of the 'tabs' below (Transactions, Accounts etc) to view and manage the wanted table. The opened tab will show the number of records in its table.

Sort the list by clicking on the column header (arrows 1 and 2)

By default all tables are sorted by the leftmost column in the grid, in ascending order. If you look carefully you may recognize a faint triangle indicating the currently sorted column and its sorting order (ascending ᐃ or descending ᐁ) at arrow number 1. However you may click ANY column header cell (arrows 2) to immediately sort the grid in the order of your choice. Re-clicking on a selected column header reverses its sorting order.

When you have the transactions table open (like above) you may for example click the Account column header cell to get a very quick statement 'report' by having all transactions grouped by accounts. Or if 500 bucks are missing in your cashbox you may click the debit or credit column cell to have everything sorted by amounts. Scrolling down to 500 you may review the latest transactions' account numbers to see if you have saved the missing cash transaction with a wrong account number assigned....

Filtering the grid rows (arrow 3 and 4)

In order to search for specific values or strings in the current grid you may enter any string or number in the filter editbox (arrow 3). Then the grid will be filtered so only rows containing what you just entered will be displayed. A very hand feature - if you don't remember which account or voucher number you posted that expense for your friend John Doe... Clicking the X (arrow 4) the filter contents will be erased and all the table's rows will be jdisplayed again.

Navigating the table rows (arrow 5)

You may click the buttons for first, prior, next and last row in the current table.

Refresh the table's contents (arrow 6)

If you are using the networking version of NXAccounts and other users may add or change data then you may

Edit windows controls

Once you have decided to Add or Edit a row in the current grid, the table's Edit Data window will appear. These windoiws will usually have the following buttons available:

The purple 'Open book' button (Help) is your gateway to the help system which informs you about the options and goals at your current position in the app.

The blue First - Prior - Next - Last buttons let you fill the open window with data from other saved recorda in the current data table.

If you want to close the current window without saving the changes, you click on the red 'X' button - or press the <Esc> key.

When you want to save a new or edited record you may click the green 'V' button - or press the <Return> key.

Bottom panel controls:

The labels of the two controls above should make them self explanatory.

The left control enables you to select your desired display currency in grids and reports.

The right control lets you choose between the 'Native' and the 'Foreign' accounts and dimensions name in grids and reports.

For information about your available currencies and languages (which are defined in you license), please consult Settings / App and License data tabsheet. If you need to modify the license, be aware that only a few properties (name typos etc) can be modified during the year.


Reports....

Important information about NXAccounts' reporting

You may think that all 'reports' will be printed directly to your printer. This is not the case. The app will always output the report as a preview to your screen first. And this preview displays the report exactly as it is will be printed on paper. From there, you may choose to print all, or a range of pages. Or you may export the report to PDF, Word, Excel or a few other formats.

Report Language choices

NXAccounts are often used by projects and partners where their donors or supporting agencies organizations speak a different language than that of the project country. To facilitate optimal understanding for both parties BushSoft provides both native and foreign Account Name languages and also selectable Report title Languages. Because of this both parties may enjoy undrstanding reports with accounting data in their own language.

Accounts name language

You already know that all accounts and dimensions have fields for 'Native name' and 'Foreign name'. Like on the Tables and Settings forms the Account Language control are found in the center of the Reporting form's footer panel. Here you may choose which of the two account languages (native or foreign) which will be displayed in the reports.

Report title language

You may find this control near the middle of the left hand panel. Feel free to checkout the difference for the various reports.

The form's left panel has several controls common to most report types.

Table to print

If this dropdown list is available then you may select from which 'dimension' you want to display data, either mainbook accounts, accounts receivables/payables or any of your extra dimensions.

Show used accounts only

If this control is available you may choose whether or not to print unused accounts/dimensions (not yet used in any transaction nor have an opening balance).

Period from and to

If these controls are available you may choose for which period interval the report's figures are calculated from.

Selecting accounts - a range or a selection

Many reports requires selecting accounts (or your Table to print selection). You have the option to select a range (from - to) by using the upper panel (see below):

Or, if you need to select arbitrary accounts you click on the Selected panel and select accounts one by one in the dropdown list. If you need to remove entries from the list you click the minus (-) button:

Filtering reports by dimensions

This is the main advantage of a Multi-Dimensional accounting system where you have multiple departments and projects. By using the below filtering feature you may select any dimension combination and your reports will only accumulate transactions assigned to the selected dimension(s).

As with the above accounts example you may either select a consecutive range (upper arrow below) or an arbitrary list of selected dimensions (lower arrow below).


Accounts plan

For general reports info and settings check this page.

The Plan report is really the simplest report available from NXAccounts.

It just lists ALL (used AND unused) mainbook accounts, accounts payables/receivables or the selected dimension according to your Table to print choice.

If necessary it is displayed in two columns. This report is used by accountants or auditors as a lookup tool to easily view all available accounts or dimensions. The clerk who is assigning accounts to vouchers should always have a paper copy of this report.


Balances report

For general reports info and settings check this page.

Table to print

As for the accounts or dimensions plan report you may select either mainbook accounts, accounts payables/receivables or any dimension.

Show used accounts only

Check or uncheck this according to your current requirement.

Alt. account codes

If you have assignes alternate (foreign) account- or dimension numbers/codes you may check this box if you want a report to display the Alternative numbers/codes instead of the 'native' account / dimension numbers.

Period from and to...

Select the months for which you want transactions to be accumulated into this report. It prints in four columns: Opening balance, accumulated debit and credit amounts and finally its closing balance. As you normally are interested in the opening and closing balances only, the two middle columns are displayed in light grey color. This color is editable in Settings / GUI settings.


Statement report

For general reports info and settings check this page.

Statement report

Table to print

As for the accounts or dimensions plan report you may select either mainbook accounts, accounts payables/receivables or any of your dimension tables.

Most of you are familiar with Bank Statements which show all your monthly deposits and withdrawals from your bank savings account.

The NXAccounts' Statement report will have a similar layout and if it covers several months it will also display the montly balances. In addition to its debit and credit amount columns it also diplays continous accumulated balance amounts in its rightmost column.

As with most reports you may filter which dimensions you want to include. If no filter is applied then ALL transactions are accumulated. Check info on this here. and scroll down to Filtering reports by dimensions.


General ledger report

For general reports info and settings check this page.

Table to print

As for the accounts or dimensions plan report you may select either mainbook accounts, accounts payables/receivables or any dimension.

General ledger report

Most of you are familiar with Bank Statements which show all your monthly deposits and withdrawals from your bank savings account.

The NXAccounts' general ledger report will have a similar layout, however it is mainly used for displaying ALL mainbook reports and it displays only the period's opening and closing balances (no monthly balances in between). In addition to its debit and credit amount columns it also diplays continous balance amounts in its rightmost column.

As with most reports you may filter which dimensions you want to include. Check info on this here. and scroll down to Filtering reports by dimensions.


Vouchers report

For general reports info and settings check this page.

Vouchers report

This is mainly a report for the auditing department. You may filter its contents either by voucher number or by monthly period.

The report displays each voucher's details which are needed by auditors while they approve the accountings' physical vouchers.


Result report

For general reports info and settings check this page.

The Result report shows the resulting incomes and expenses for the selected period.

The report's groups are organized as your accounting groups, defined in Settings / Mainbook groups and your assignments of the following groups defined in Settings / Group assignments:

Incomes

Expenditures

Financial incomes

Financial loss.

= Grand total

Note:

The desired detail level (i.e. how many group levels) in the report can be chosen by altering the Max levels count. You may try with 2 or 3 here.

Piechart visualisation of accounts in a group or selected accounts

Please select the Display mode as Chart/Graph report instead of Text Report,

you can click on Chart items... to select any group(s)

to have their details (subgroups or accounts) displayed as slices in a piechart:


Result (extended) report

For general reports info and settings check this page.

More info on this item will be posted later


Result (monthly) report

For general reports info and settings check this page.

This is a Result report displayed as monthly figures, like this:

If you want it displayed as a stacked barchart like the screenshot below you will need to change the Display mode to Chart / Graph report. Below you will see that expenses are light blue, incomes are light green and the accumulated result graph is navy blue.

.... OR if you select 'Text report' mode you will see this table:


Extended accounts plan

For general reports info and settings check this page.

This 'Accounts plan' report displays the accounts grouped, like they are defined in Settings / Mainbook groups and displayed in the Status / Result report


Status report

For general reports info and settings check this page.

For general reports info and settings check this page.

The Result report shows the resulting incomes and expenses for the selected period.

The report's groups are organized as your accounting groups, defined in Settings / Mainbook groups and your assignments of the following groups defined in Settings / Group assignments:

Assets

Liabilities

= Status result

Note:

The desired detail level (i.e. how many group levels) in the report can be chosen by altering the Max levels count. You may try with 2 or 3 here.

Piechart visualisation of accounts distribution in a group or selected accounts

Please select the Display mode as Chart/Graph report instead of Text Report,

you can click on Chart items... to select any group(s)

to have their details (subgroups or accounts) displayed as slices in a piechart:


Status (monthly)

For general reports info and settings check this page.

This is a Status report displayed as monthly figures, like this:

If you want it displayed as a stacked barchart like the screenshot below you will need to change the Display mode to Chart / Graph report. Below you will see that liabilities are light red, assets are light green and the accumulated assets-liabilities graph is navy blue.


Status (Payables/Receivables)

For general reports info and settings check this page.

This is a grouped report of your Accounts Receivables / Payables' Groups.

It displays any account in its group tree having a non-zero bslance.


Budget items report

For general reports info and settings check this page.

This is a grouped report, looping ALL used accounts and displays all non-zero budget amounts by dimension for each account.

It is useful if you need to know which dimensions (departments, projects etc) are included in each account's budget total amount.


414

Navigation: The Main window - important info! > Reports.... >

Return to chapter overview

Budget report

For general reports info and settings check this page.

More info on this item will be posted later


Settings...

Navigation: The Main window - important info! >

Return to chapter overview

Settings.......

You will find detailed help after having selected the appropriate page (Accounts Settings, Mainbook groups etc) from the tabs pictured above.


Accounts settings

Accounts settings' Left Panel

Locking months

A report from a certain period isn't worth the paper it is written on if transactions or balance modifications still can be done for the same period. To properly indicate this, the keyword 'Preliminary*' is printed in the report header of ALL reports containing data from a non-locked period. So before you should create 'final' or conclusive reports, always make sure that you lock the months your report is covering. So the upper button on the above panel does exactly this, it locks the month of your accounting, one by one.

This locking cannot be undone unless approved by the parties receiving your reports. In those rare cases THEY may contact BushSoft to have us issue an unlock code for you to use.

However, always remember that the 'normal' way to handle posting errors for locked months is to create a corrective voucher for the next month.....

Import legacy data

This button is only used by BushSoft to import data from the former BushSoft Accounts sodtware.

Restore database from backup button

You already know the importance of creating backup copies of your accounting and keeping those copies in safe places. So when the day arise when your accounting refuses to open due to a computer failure, or your computer has been stolen, it is nice to be able to restore your last backup to another computer and continue working.

NOTE: Remember that your (financial) partners may use a copy of your license to install NXAccounts to their computer(s). Then you may email them your backups to enable them to create any desired report of your accounting!

Hide zeros on balance reports

If you tick this box then '0.00' balance reports will be omitted from being printed.

Use 13th month in accounting

Some of our customers prefer to post 'annual settlement dispositions' in a separate period, apart from 'normal' vouchers for the fiscal year. If you are one of those, tick this box

Backup reminder

Here you may ask for a reminder after having registered a number of transactions without creating a backup. Otherwise you may have to re-register a huge number of vouchers when you find yourself in a situation needing to restore your accounting from a backup,

Accounts settings' Middle Panel

Import account plans

When you have received your license and are about to start your first accounting, it's a good idea to import a basic grouped accounting plan to use as a point of departure. Please find more information about this situation here. You may also export the current, grouped accounts plan from another accounting and import it here.

If you want to manually create an importable grouped accounting plan in a spreadsheet like Excel, you may find important information about its layout by clicking the blue 'i' button to the right hand side.

Export account plan

If you need or want to share your current accounting plan you may export it by clicking this button. Remember you may edit the exported file further to your liking using a spreadsheet software like Excel. Remember though to NOT remove or add any columns and pay close attention to the fields description from the blue 'i' button.

Import alternate account numbers

As accounts numbering schemes may vary around the world, you may import a set of alternative accounts numbers which is selectable as a checkbox in the reporting form:

Many of our customers having donors or fundraisers on other continents use such alternative account numbers for better adaption to the donor's systems.

Import Dimensions

Here you may import dimension data from other accountings. Make sure you import your data into the correct dimension in your accounting!

Export Dimensions

Here you may export any of your dimension lists for later import into another accounting. Remember you can edit the file in a spreadshot software like Excel. Remember though to NOT remove or add any columns, only the row data.

Accounts settings' Right Panel

New year's frame

Create next year's database

This does exactly as it says: Creates an empty set of database tables ready to receive next year's data. Normally you do this at the end of your fiscal year.

Copy data to next year....

Normally you want to copy your current accounts, dimensions, groups etc to the next year so everything is ready to start entering vouchers i January. Some of you even want to copy your budgets over if there are just small changes in amounts or other values. When clicking this button you will have the choice of which data to copy over to the next year by reviewing this window:

Everything is checked by default but you edit the list to your liking.

Copy account balances from previous year....

When you open the new year's accounting for the first time you may want to copy the previous year's closing balances from your balance accounts and your accounts payables and receivables. You actually do this each time you click this button.

NOTE

As the final adjustments of the previous year's accounts may continue into the new year, you may need to repeat the balance import each time the previous years accounts has been updated, until the last month of the previous year has been locked.

First month of fiscal year

You have the possibility to select a 'non-standard' fiscal year period, like from July to June. Remember that this may not be changed after the first voucher has been registered. We will probably lock this setting to the licensese in the future to avoid problems.

Initial transaction mode

If you mostly register purchases in your accounting you may want to set the amount type to 'Debit' as you normally register your cost account first and then balance against cash or bank. On the contrary if most of your transactions are for Incomes, you may select 'Credit' here.

Transactions restrictions if no budget exists

Normally you will set this to 'Deny transactions with no budget' because otherwise users may post transactions whose amounts will only appear in unfiltered budget reports (reports for ALL transactions). If you don't use NXAccounts' budget feature you may set this to 'Allow transactions with no budget'.

Number of seconds before new voucher number window closes automatically

As NXAccounts may be used in networking version, also two accountants may post vouchers at the same time. Hence they don't know what 'their' next voucher number will be until their voucher is actually posted. Because of this we use a popup window to display the voucher number for a short time. Personally I set this value to one second as I normally also can see the last voucher number in my transaction list below the Edit Voucher window.

Option: Import export groups

Most users don't see this setting. This is a feature for selected customers needing to import data to their corporate accounting. This list can be updated (or its languages changed) by importing new versions here.

Option: Accumulate against export groups

Most users don't see this setting. This is a feature for selected customers needing to import data to their corporate accounting. Please make sure to set the correct accumulation group code here. Nomally this is the group with code CAR


Mainbook groups

Adding or Editing Mainbook Account Groups

This is an editable tree view of your mainbook account groups hierarchy.

Make sure that you at least have these four ROOT groups as children under 'Accounting':

Assets, Debts (which defines the layout of your Status Report)

Incomes and Expenses, optionally also Financial incomes and / or Financial Expenses (which defines the layout of your Result report).

Select the Accounting 'root' or any node to add child nodes 'under' it, using the Add or Add Child buttons. You may also change the node's sibling order by clicking the Move up or Move down buttons.

You may reorganize the tree by moving a group with or without children from one node to another node using Drag and Drop.

Example of mainbook group hierarchy:

If you need to change the group's native or foreign name, doubleclick the node to get up the group name edit window:


Payables/receivables groups

Adding or Editing Payables / Receivables Account Groups

This is an editable tree view of your Payables / Receivables Account Groups hierarchy.

Select the Accounting 'root' or any node to add child nodes 'under' it, using the Add or Add Child buttons. You may also change the node's sibling order by clicking the Move up or Move down buttons.

You may reorganize the tree by moving a group with or without children from one node to another node using Drag and Drop.

Example of mainbook group hierarchy:

The accumulated monthly balance from each of the root groups will be copied into the assigned mainbook account:

Select the Accounting 'root' or any node to add child nodes 'under' it, using the Add or Add Child buttons. You may also change the node's sibling order by clicking the Move up or Move down buttons.


Group assignments

Assign your root accounting groups to the app's internal hierarchy.

Open the Settings / Accounts Settings tab.

Click on the 'Group Name' column's black, right triangle in order to select the proper group name for each row.

It is crucial that your accounts plan has these four main root groups: Assets, Debts, Incomes and Expenses. The Financial incomes and expenses groups are NOT mandatory.

Don't forget to click the 'Save' button in the footer when finished!


Dimension types

Dimension properties

The dimension names and number / code masks are non-editable and defined in the License. See App and License data tabsheet.

You find the editable properties for Dimension types in Settings / Dimension types here:

Doubleclick the desired dimension to open its editing form:

These are the only two editable properties in Dimension types:

Name in title

Here you may decide if you want this dimension's name in addition to its code / number displayed in Report Headers. Displaying the name is informative but it also takes up space so it is up to you if you want it included or not

Mandatory

If you check this box then the accountant MUST choose a dimension account when registering vouchers. In that case the transaction's dimension data field cannot be empty.

This is the preferred setting. If you leave it empty then transactions will 'fall between two chairs' unless you always print result reports for ALL dimensions.


Budget currencies

Currency properties

The currency name, code and masks are non-editable and defined in the License. See App and License data tabsheet.

Current budget exchange rate

If you leave this field empty then any foreign currency reports containing Budget columns will display the foreign currency's exchange rate as of January 1st.

If this doesn't suit your situation then enter your preferred yearly Budget exchange rate with appropriate precision in this field.

Last budget exchange rate

If you need to note the last used budget exchange rate, please copy and paste it into this field. This field is just for your convenience only, it is not used in any app calculations...


Users

Default user

Upon creation of the current year's accounting the 'admin' username is automatically created and you have been prompted to enter this user's password.

As admin you may add any number of users with different privileges. Please open the following tab:

If you want to edit or Add a user, please click the appropriate button and this window will open:

Adding or editing a user.

Enter the user's full name in the 'User name' control.

The login name may contain lowercase letters or digits.

The 'Password' and 'Password confirmation' control should contain the user's password. Always keep track of users' passwords!

Then select the user's 'Permissions' from the list below:

View Only = Read only, NO modifications allowed

User = Normal user, may register accounting vouchers

Power User = May also Create new Groups or Accounts

Admin = May also Add, Modify and Disable users

The 'User is Active' control: If unchecked then this user is no longer allowed to log in to the software.

The Category and Code controls are not currently in use.

Don't forget to click the Ok button to save the user data!


UI Settings

Navigation: The Main window - important info! > Settings... >

Return to chapter overview

User Interface Settings

Customize Your User Interface

Change NXAccounts UI Language

This is the same function as you have behind the Login form's App. Language button. You may choose between the 'native' and the 'foreign' languages defined in your license.

Color every 2nd grid line

For better readability when many columns every second table row have been colored pale yellow by default. By clicking the 'Select...' button at its right hand side you may alter the color, or even make it white to have no row coloring at all.

Color every 2nd report line

For better readability when many columns every second report row have been colored light green by default. By clicking the 'Select...' button at its right hand side you may alter the color, or even make it white to have no row coloring at all.

Greyed columns on reports

Some less interesting columns (basically the accumulated debit and credit ones) are displayed in light grey colour for less focus in some reports. By clicking the 'Select...' button at its right hand side you may alter the color, or even make it black to have the normal font color.

Restore default colors

By clicking this button you may restore your color selections to their default values.


App and License data

Application properties

Below the line displaying the NXAccounts application's current command line and parameters you see its version number and production date.

Always make sure you frequently check for new or updated versions of NXAccounts to download and install them.

License properties and data

Many properties like languages and currencies are defined in your licenses and they are not user-editable. If you need any of these properties changed, please contact epost@bushsoft.com. Please note that most of the settings can only be change when creating a new year.

Help system and user manuals

We are still evaluating NXAccounts' help system and translators. However new contents are added or renewed every week, so please click the 'Update Help and PDF files..' button to download your latest version of these resources.

You will find the updated PDF user manuals in NXAccounts' native and foreign language here:

C:\Program Files (x86)\BushSoft\NXAccounts\Support

NOTE:

Close any open PDF or Help windows before trying to download the above mentioned resource files.


Remember your chores...

Navigation: »No topics above this level«

Return to chapter overview

Remember your chores....

Backup, backup and backup....

Most people have lost valuable or important documents or pictures because they didn't have a second copy of them on another media placed at another location. The reason for losses like this might be computer or storage media failure, theft, fire etc.

So PLEASE take the seconds need to click NXAccounts' Backup button on the Main window. Make sure you save them to another media that the computer where NXAccounts is installed so your copies ever if your computer is stolen or the office should catch fire...

Check for updates

NXAccounts is not a static software. We constantly get feedback from users asking to include new features, make sure to frequently visit this link to download and install the latest version of the software. You may find instructions for this process here.

Check and update help system and manuals

Lock periods

Due to the target market for this software, we allow you to re-open and edit transactions found to be wrongly registered. This is a better solution than your audit department try to keep track of tons of correction vouchers and even corrections on correction vouchers. HOWEVER, in order to produce final and reliable reports you need to permanently LOCK the periods for which you are reporting from.

ALL reports including non-locked periods will display the alarming keyword 'Preliminary' in their title line!

The locking is done from the left pane of the Account Settings window. Note the upper, left button. Once you click and confirm the action the selected period will be locked and no changes can be made to transactions or other data involving that period.


Troubleshooting

Precaution!

In order to avoid or remedy problems please make sure you click the Main window's Backup button after every time you have changed or added data to your accounting.

Error message when opening accounting

Due to computer failures or power cuts during saving, your accounting database may i very rare cases become corrupted. If you run into such a situation your accounting may refuse to open as normal. HOWEVER, you may still be allowed to enter the correct password and then click the cogwheel which appears below the 'Change database... button:

'Emergency operations'

In the 'Emergency' dialog that opens you will be able to restore the currently selected accounting by clicking the Restore backup button below. Hopefully this brings you back on track again.... But please be aware that this will replace your current accounting with the version from the backup your restore. Hence our advice about to take frequent backups so you don't loose much of your work during a restore operation.


Navigation: Troubleshooting >

Return to chapter overview

Table integrity errors

Enter topic text here.


Navigation: Troubleshooting >

Return to chapter overview

Tables or index errors

Enter topic text here.


TablesHeader

NOTE: Scroll below this section if you need help on the 'Tables' button window's common controls and functions!


Adding and Editing

Navigation: »No topics above this level«

Return to chapter overview

Mainbook Accounts: Adding and Editing

Account group

This is the account group into which this account's transaction amounts will be accumulated. If you select a balance account group (red color i tree view) this account will become a Balance account (normally red color), otherwise it will be a Result account (which always reset their opening balance at the start of each fiscal year).

Account number

The number of digits of your mainbook accounts are defined in your license, you can check all your numbering masks, languages and other stuff in Settings / App and License data tab.

Alternative number

If you are reporting to an overseas fundraiser or donor, chances are they are using another account plan numbering scheme that you do. So here you may enter (or receive from them) alternative account numbers which suit their need.

Account name

Enter the name of the account here, remember you can use national accounting numbering and names schemes which normally are publicly available in your country or area.

Foreign account name

If you are reporting to an overseas fundraiser or donor, you may add (or receive from them) the account name in their language. Together with the alternative account number feature (above) this enables them to read your accounting reports in their own language using their own account numbering scheme.

Opening balance

This is only applicable for balance type accounts. The opening balance for all Result type accounts are automatically reset to zero at the beginning of the fiscal year.

Currency

This field is not in use at the moment.


Adding and Editing

Navigation: »No topics above this level«

Return to chapter overview

Budget posts: Adding and Editing

Introduction

Budget records are created and maintained by combining Dimensions. You can have separate budgets for, say, project 'Agriculture' in department 'Hyde Park', and for 'Education' in 'Sahara' according to your different dimension names. Make sure to create a good description to put in the Budget Name field so it is easily understandable which dimensions it accumulates.

Budget code

Here you may enter whatever ID you desire

Budget name

Enter a descriptive name for the current budget

Budget foreign name

Same as above, but in the account names' foreign language

Responsible

Enter the name of the person who is responsible for this current budget

Notes

Here you may enter important information about what is in included or persons involved etc.

List of dimensions (upper right panel)

Select the wanted dimension(s) here. You may leave some dimensions unselected if needed.

Panel above table list

If you need to locate a certain account you may start entering its name in the filter box. The 'First or second half year' svaps the table's month columns to first or last half year.

Table - Alternate code

Here you may enter an alternative account number or code for this particular account.

Table - Alternate name

Here you may enter an alternative account name or description for this particular account.

Table - Yearly vs. Monthly

Here you enter the yearly gross budget amount. The app will evenly distribute this yearly amount to each month of the year. If you want to manually distribute the yearly amounts for certain accounts (for example when purchasing a car) make sure the Yearly amount is zero before you begin and the you enter the monthly amount(s) manually.

Save your work

Make sure you save your work before quitting the form...


Navigation: »No topics above this level«

Return to chapter overview

Adding and editing

Info on this issue will be posted later


Adding and Editing

Navigation: »No topics above this level«

Return to chapter overview

Dimensions: Adding and Editing

Dimension number or code

The number of digits of your mainbook accounts are defined in your license, you can check all your numbering masks, languages and other stuff in Settings / App and License data tab.

Export group number

Not currently in use.

Dimension name

Enter the name of the dimension here

Foreign dimension name

If you are reporting to an overseas fundraiser or donor, you may add (or receive from them) the dimansion name in their language. This enables them to read your accounting reports in their own language using their own account and dimension naming scheme.


Adding and editing

Name in title

Here you may decide if you want this dimension's name in addition to its code / number displayed in Report Headers. Displaying the name is informative but it also takes up space so it is up to you if you want it included or not

Mandatory

If you check this box then the accountant MUST choose a dimension account when registering vouchers. In that case the transaction's dimension data field cannot be empty.

This is the preferred setting. If you leave it empty then transactions will 'fall between two chairs' unless you always print result reports for ALL dimensions.


Adding and Editing

Navigation: »No topics above this level«

Return to chapter overview

Exchange rates: Adding and Editing

Why exchange rates?

In order to calculate the correct exchange rate between the transaction (voucher) currency and a foreign currency for a certain day you may update or add exchange rates up to one per day. This is also the reason why the fixed exchange rate for the transaction currency itself always should be 1.0000000000.

Need exchange rates from January 1st..

It is mandatory to verify or enter correct exchange rate values for January 1st for ALL foreign currencies. Otherwise the app will not have a sensible way of displaying lists and reports in foreign currencies.

Validity period

If you enter an exchange rate for February 3rd it will be used for all transactions from this date and up to a new exchange rate is registered from a later date.

When do I add a new exchange rate?

Most customers enter a new exchange rate on the same day they receive funding transfers (most often via bank) from donor organisations. In this case the exchange rate will more or less follow the 'real' value of the amount transferred including any inflation fluctuations.

Exchange rate value

You may calculate the exchange rate like this: Transferred amount in foreign currency DIVIDED BY Obtained amount in transaction currency EQUALS Exchange rate value.

NOTE

The BUDGET exchange rate for the foreign currencies are fixed throughout the year and can be modified in the Settings / Currencies tabsheet.


Installation

In order to install NXAccounts you need to download the installer software first. The official NXAccounts download page you may find here.

Next step is to run the installer app to copy and setup NXAccounts on your computer. Please find instructions here.


Login window...

Your every-day login window looks like the screenshot below. The license, year, office and username are remembered from your last run. So to continue where you left it's only to enter your password and click the 'Login!' button.

However, if you need to open another (or create a new) accounting, do click the 'Change database' button. Then the 'extended' login form will open.

Forgotten password?

If you recently have changed your password and cannot remember it you will get this warning:

We encourage you to try a few times more before giving up and click the 'Forgot password...' button. In that case another form will pop up with a long code which needs to be copied to you clipboard and pasted into an email message you send to support@bushsoft.com. We will the provide you with an unlock code that you paste into the same form so you can enter a new password for the current accounting.

Error message when opening accounting

Due to disk failures or power cuts during saving, your accounting database may become corrupted. Hence it is very important to create frequent backups of you accounts - preferably after every session when you have added or modified contents.

If you run into a situation where it is impossible to open your accounting you may still enter the correct password and then click the cogwheel below the 'Change database... button. In the dialog that opens you will be able to restore the currently selected accounting by browsing to open your latest backup file. Hopefully this brings you back on track again....


Adding and editing

This is an editable tree view of your mainbook account groups hierarchy.

Make sure that you at least have these four ROOT groups as children under 'Accounting':

Assets, Debts (which defines the layout of your Status Report)

Incomes and Expenses, optionally also Financial incomes and Financial Expenses (which defines the layout of your Result report).

Select the Accounting 'root' or any node to add child nodes 'under' it, using the Add or Add Child buttons. You may also change the node's sibling order by clicking the Move up or Move down buttons.

Finally you may move a group with or without children from one node to another node using Drag and Drop.

Example of mainbook group hierarchy:


Adding and Editing

Navigation: »No topics above this level«

Return to chapter overview

Accounts payables / receivables: Adding and Editing

As the Accounts Payables / Receivables most often addresses companies and people they store different data than the mainbook accounts:

Account group

This is the account groups in which this account's transactions will be accumulated into. This type of accounts are always 'Balance' (red color i tree view).

Account number

The number of digits of your accounts receivables / payablesare defined in your license, you can check all your numbering masks, languages and other stuff in Settings / App and License data tab.

Alternative number

If you are reporting to an overseas fundraiser or donor, chances are they are using another account plan numbering scheme that you do. So here you may enter (or receive from them) alternative account numbers which suit their need.

Account name

Enter the name of the account here, remember you can use national accounting numbering and names schemes which normally are publicly available in your country or area.

Foreign account name

If you are reporting to an overseas fundraiser or donor, you may add (or receive from them) the account name in their language. Together with the alternative account number feature (above) this enables them to read your accounting reports in their own language using their own account numbering scheme.

Opening balance

Make sure you enter the correct opening balance here. It must be an exact match with the previous year's FINAL closing balance. If this is not your first year using NXAccounts you can automatically update these balances by clicking the 'Copy account Balances from previous year...' button in Settings / Account settings tab

Currency

This field is not in use at the moment.

The Address, phone numbers and email address fields are self explanatory, they are not used in calculations or reports.


Adding and editing

This is an editable tree view of your accounts payables / receivables groups hierarchy.

More info on this issue will be posted later


Navigation: »No topics above this level«

Return to chapter overview

Adding and editing

More info on this issue will be posted later


Adding and Editing

Registering vouchers

NXAccounts has been built to enable users to register vouchers quickly, efficiently and with as few keystrokes as possible. In this process you will save a lot of time by focusing on the keyboard only - and not spending time on moving your hand between the keyboard and the mouse in this process. To achieve this, we use the <TAB> (tabulator) key to jump from one control to the next one. To jump backwards to the previous control you hold the <SHIFT> key when hitting <TAB>

Please click the MainForm's 'Tables' button and make sure the 'Transactions' tab is open. Here you see the list of all saved transactions, groupoed as vouchers, for ethe current year.

After having clicked Add (voucher) and the voucher edit form has popped up, make sure you have selected the correct Period / Month in the upper left corner of the form:

Voucher period and date:

The app always remembers your last used period. The period defines the financial month of the income / expense. This is necessary in order to compare the accounting against cash counting for a month or auditing your bank statements against the app's statements for the same bank account.

Now when you have checked the correct period, click the date control in order to start. NOTE: You only needto enter the day number here (as the month number is automatically copied from the period) and then press the <TAB> key to jump to the account number control. However if your physical voucher is from another month you may of course add the month number too, just make sure you separate them with your Windows' date separator.

Transaction's account:

As you start typing some digits or some text here, the app will lookup any matching accounts and you may use the arrow keys to select the desired account. Proceed by pressing the <TAB> key to continue. For payables / receivables account types always remember to prefix their account number with an asterisk (like this: *1212)

NOTE: When registering vouchers, always enter the (or all) result type account transaction(s) first and finally balance the voucher against the balance account (usually cash or bank) as the voucher's last transaction.

Transaction text:

The same lookup feature is available here too. Select an existing text, modify it or type a new text as needed. Continue to next control by pressing the <TAB> key.

Dimension code or number: Enter each dimension's number or code just as you did for the account. Their name will appear in the list so you know what you have chosen. Jump to the next control by pressing the <TAB> key.

If you have no extra dimensions in your license, please jump directly to the Transaction amount paragraph below.

Transaction amount:

If you usually register expenses, then the initial position of the amount control would be debit (left position). You may quickly move to credit or back to debit by pressing the 'C' or the 'D' key. Pressing the function key F3 will swap between Debit/Credit. Enter the desired amount using your Windows' default locale decimal sign (if applicable).

If you need to enter a foreign currency amount for automatic conversion to the transaction currency you may click the $/€ button (right hand side of amount control), see above. Then the calculator dialog below will appear. Make sure you have entered relevant foreign currency exchange rate values for the selected currency before using this feature.

The first transaction is now completed:

Most vouchers normally have two transactions. If this is the case now, please jump to the Balancing Voucher paragraph.

If you need adding more transactions before completing or balancing the voucher, press function key F4 and continue from 'Transaction account' above.

Balancing the voucher: When all the incomes or expenses transactions are entered it is time to balance your voucher (normally against a cash or bank account). So please press function key F9 to pop up the Quick Access list of most used accounts. If you haven't done this before, please select the account you use most (your Main Cash?) on line #1 and add other accounts (cash or bank) further down the list. This list will be preserved until you modify it in the future. By pressing the numeric key for the digit to the left of the desired account (or clicking its button) the balancing transaction will be added using your choice.

If you need to balance your voucher against a non-common account you just select the desired account, copy or enter the desired text and then press function key F8 to auto-balance your voucher..

If you discover any errors in any transaction data you may click the desired transaction row and edit its data in the controls where you entered the data. If you need to re-balance the voucher then click to select the desired balancing (lower?) transaction and press function key F8 to update the balance amount.

Now the voucher is balanced and ready to be saved. If you want to continue registering another voucher, press function key F2 (Save + Add new). If you want to quit and close the form then just press the <ENTER> key (Save + Close window).